clear all,close all

% conditions
sigma = 0.0659;                     % - (supersaturation)
temperature = 30 + 273.15;          % K

% constants
gasConstant = 8314*10^-3;           % Nm/mol/K
shearModule = 6.7*10^9;             % N/m^2
poissonRatio = 0.33;                % -
mosaicLength = 0.2*10^-6;           % m
burgerLength = 1.22*10^-9;          % m
radiusDislocation = 3*burgerLength; % m
molarVolume = 474.39/(1.725*10^6);  % m^3/mol

% parameters
mosaicAngle = 5*pi/180;             % radian
L = (1:50)*10^-6;                   % m

% equation
coeff1 = 3*shearModule*burgerLength*molarVolume*mosaicAngle / ...
    (4*pi*(1-poissonRatio)*gasConstant*temperature)/sqrt(mosaicLength);
coeff2 = 3/4/(1-poissonRatio) - ...
         log(4*pi*radiusDislocation/burgerLength);
coeff3 = 1/mosaicAngle/sqrt(mosaicLength);
sigEff = sigma - coeff1./sqrt(L).*(coeff2 + log(coeff3*sqrt(L)));

% plotting
plot(L*10^6, sigEff)
ylim([0 0.0659])